Subject: [XCON] Wireless Systems do not flee XML

From: mhammer at cisco.com (Michael Hammer)
Date: Thu Jul 17 12:43:59 2003

I think I would define push-to-talk as the absence of floor control, i.e a 
central controller of the floor.  At best, it is a mixer policy of 
first-come, first-served, with loudest being a tie-breaker.

Mike

At 12:14 PM 7/17/2003 +0300, [email-masked] wrote:
>I don't think this is only a question about encoding. The way push to talk 
>allocates the medium to me is much more a feature of the mixer and/or the 
>media than floor control. As far as I understand the ptt functionality, it 
>has a mixer that is basically a stream switch; only the winning stream 
>gets through, the talk bursts that arrive after the winner are dropped to 
>the floor.
>
>Having said that, trying to scale the push to talk type control up to a 
>full blown floor control with mediators etc, is an equally bad idea to 
>trying to scale down the full blown floor control to serve the push to 
>talk type talk burst switching.
>
>I'm not saying push to talk is out of scope of conferencing, I'm just not 
>sure it is wise to categorize it as floor control, at least until we 
>understand the requirements better.
>
>Cheers,
>Aki
>
>  > -----Original Message-----
>  > From: ext [mailto:[email-masked]]
>  > Sent: 16 July, 2003 22:10
>  > To: [email-masked]; [email-masked]
>  > Cc: [email-masked]; [email-masked]
>  > Subject: RE: [XCON] Wireless Systems do not flee XML
>  >
>  >
>  >
>  >
>  > > -----Original Message-----
>  > > From: ext Rohan Mahy [mailto:[email-masked]]
>  > > Sent: Wednesday, July 16, 2003 3:53 PM
>  > > To: Adam Roach
>  > > Cc: [email-masked]; [email-masked]
>  > > Subject: Re: [XCON] Wireless Systems do not flee XML
>  > >
>  > >
>  > > On Tuesday, July 15, 2003, at 11:56 PM, Adam Roach wrote:
>  > >
>  > > > [email-masked] [mailto:[email-masked]] writes:
>  > > >
>  > > >> Dean made a statement during the XCON BOF that the wireless
>  > > >> guys (to which I count myself) do not want XML as it would
>  > > >> use to much bandwidth. That is in fact not true - there were
>  > > >> requirements expressed that XML is the preferred solution for
>  > > >> coding e.g. CPCP
>  > > >
>  > > > To be clear, Dean's comments were addressing the
>  > > > floor control protocol, not the policy control
>  > > > protocols. In most cases, floor control is
>  > > > significantly more dynamic and real-time than
>  > > > policy control. If the floor control protocol
>  > > > is inappropriately large, there are concerns that
>  > > > the user experience on wireless networks will be
>  > > > inadequate. For example, turnaround time from
>  > > > requesting an empty floor to receiving notification
>  > > > that it has been granted can't take too long,
>  > > > or users will become frustrated and potentially
>  > > > confused.
>  > > >
>  > > > That said, we haven't yet established whether XML
>  > > > is inappropriately heavy for floor control. I expect
>  > > > that further work on the floor control protocol will
>  > > > include an analysis of the issue.
>  > >
>  > > I would be quite happy with a simple TLV-encoded floor control
>  > > protocol.  I don't think a floor control protocol needs any of the
>  > > features of XML, or rather, I don't see any compelling
>  > reason to use
>  > > XML to encode a floor-control protocol.
>  >
>  > But its hip to use XML :)
>  >
>  > I don't see XML any more complex than a text based protocol.
>  >
>  > /Hisham
>  >
>  > >
>  > > thanks,
>  > > -rohan
>  > >
>  > >
>  > > > /a
>  > > > _______________________________________________
>  > > > XCON mailing list
>  > > > [email-masked]
>  > > > http://www.softarmor.com/mailman/listinfo/xcon
>  > >
>  > > _______________________________________________
>  > > XCON mailing list
>  > > [email-masked]
>  > > http://www.softarmor.com/mailman/listinfo/xcon
>  > >
>  >
>  > _______________________________________________
>  > XCON mailing list
>  > [email-masked]
>  > http://www.softarmor.com/mailman/listinfo/xcon
>  >
>
>_______________________________________________
>XCON mailing list
>[email-masked]
>http://www.softarmor.com/mailman/listinfo/xcon